pskb_trim_unique
Prev | Socket Buffer Functions | Next

## Name

pskb_trim_unique — remove end from a paged unique (not cloned) buffer

## Synopsis

`void pskb_trim_unique (` | struct sk_buff * | skb,
| unsigned int | len`)`;

## Arguments

`skb`

  buffer to alter

`len`

  new length

## Description

This is identical to pskb_trim except that the caller knows that the skb is not cloned so we should never get an error due to out- of-memory.

Prev | Up | Next
skb_trim | Home | skb_orphan